Bug 910725 - Beaker Makefile documentation does not mention support for "Provides"
Summary: Beaker Makefile documentation does not mention support for "Provides"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc
Version: 0.9
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 0.12
Assignee: Amit Saha
QA Contact:
URL:
Whiteboard: Doc
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-13 11:40 UTC by Petr Šplíchal
Modified: 2018-02-06 00:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-11 04:57:01 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2013-02-13 11:40:57 UTC
Description of problem:

Beaker Makefile supports specifying custom "Provides" values. This
has been committed some time ago already:

    http://git.fedorahosted.org/cgit/rhts.git/commit/?id=05e834a4

However this functionality is not described on the documentation
page. It would be nice to have this added after the "Requires"
section:

    http://beaker-project.org/docs/user-guide/makefile.html#requires

Thanks.

Comment 2 Amit Saha 2013-03-14 03:18:16 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/1800

Comment 3 Dan Callaghan 2013-03-24 23:24:51 UTC
This change is now included in the development version of Beaker's documentation:

http://beaker-project.org/docs-develop/user-guide/makefile.html#provides

Comment 4 Dan Callaghan 2013-04-11 04:57:01 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.